#!/usr/bin/perl

=pod
--------------------------------------------------------------------------------
REFERERによって表示内容を切り替えるスクリプト「Shimojishima Ver.F」
--------------------------------------------------------------------------------


UTF-8で動くものと仮定。ただし表示に関しては自由。

#URIのメンバ
print $u->path . "\n";#パス
print $u->scheme . "\n";#プロトコル
print $u->opaque . "\n";#:以降全体
print $u->fragment . "\n";#?
print $u->as_string  . "\n";#?
print $u->path_query . "\n";
print $u->query  . "\n";#クエリー
print Dumper($u->query_form)  . "\n";#配列
print $u->query_keywords . "\n";#?
print $u->userinfo . "\n";#?
print $u->host . "\n";#ホスト名
print $u->port . "\n";#ポート番号
print $u->host_port . "\n";#ホスト名:ポート番号の形式


=cut


#//モジュール・設定ロード//---------------------------------------------------//
use strict;
use vars qw{ $config };
require('./config.inc.cgi');
use URI::Escape;
use URI;
use lib '.';
use Jcode;
use KK_license;
KK_license::setCheck( $config->{licPass} );
#//===========================================================================//


#//REFERERのチェック&処理//---------------------------------------------------//
my $reff = $ENV{'HTTP_REFERER'};
$reff = uri_unescape($reff);
if( Jcode::getcode($reff) ne 'utf8' ){
	Jcode::convert(\$reff,'utf8');
}
#//===========================================================================//


#//URI解析//------------------------------------------------------------------//
my $u = URI->new( $reff );

#解析対象外チェック
my $targetOff = 0;
foreach my $t( @{$config->{'targetOff'}} ){
	if( $t eq $u->host ){
		$targetOff ++ ;
	}
}
#//===========================================================================//


#//ループして表示HTMLを判定//-------------------------------------------------//
my $dispdata = '';
foreach my $keyname( keys %{$config->{disp}} ){
	if( $reff =~ /\Q$keyname\E/ ){
		$dispdata = $config->{htmlDir} . $config->{disp}->{$keyname};
		last;
	}
}
if( $targetOff > 0 ){
	$dispdata = '' ;
}
#//===========================================================================//



#//表示//---------------------------------------------------------------------//
my $print = '';
if( $dispdata ne '' ){
	if( open(OPEN,'< '.$dispdata) ){
		read( OPEN , $print , -s OPEN );
		close(OPEN);
	}
}
print "Content-type: text/html\n\n";
print $print;
exit();
#//===========================================================================//